%define name bleachbit
%define version 1.10
%define release %mkrel 1

Summary:	BleachBit deletes unnecessary files to free valuable disk space
Summary(de):	BleachBit löscht unnötige Dateien um Festplattenplatz zu "befreien"
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:          File tools
License:	GPLv3
URL:		http://bleachbit.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-root.desktop
Source2:	%{name}-root.png
Source3:	apt.xml
Patch0:		bb18.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gettext
BuildRequires:	python-devel
Requires:	gksu
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	%{_lib}mhash2
Requires:	pygtk2.0 >= 2.6
Requires:	python >= 2.6.6

%description
BleachBit deletes unnecessary files to free valuable disk space
and maintain privacy. Rid your system of old junk including cache,
temporary files, and cookies. Designed for Linux systems, it
wipes clean Bash, Beagle, Epiphany, Firefox, Adobe Flash, Java,
KDE, OpenOffice.org, Opera, rpmbuild, XChat, and more.

%description -l de
Bleachbit ist ein Systembereinigungsprogramm für Gnome, KDE und XFCE mit
dem temporäre Dateien einer Vielzahl von Anwendungen bereinigt werden können.
Das Programm bietet sicherheitshalber eine Vorschau der vorzunehmenden Änderungen.
Die Anwendung gibt es auch für andere Linux-Systeme wie Fedora, Debian,
OpenSuse, Mandriva und viele andere. Bleachbit entfernt temporäre Dateien
folgender Anwendungen.
*Adobe Reader
*APT
*Bash
*Beagle
*Epiphany
*Firefox
*Adobe Flash
*GIMP
*Google Earth
*Java
*OpenOffice.org
*Konqueror
*Skype
*Vim
*Xchat
*usw

%prep
%setup -q
%apply_patches
%__sed -i -e 's|/usr/bin/env python|/usr/bin/python|g' bleachbit/GUI.py
%__sed -i -e '/online_update_notification_enabled/ s/True/False/' bleachbit/Common.py

%build
%__make -C po local prefix=%{_prefix} libdir=%{_datadir}
%__python setup.py build

%install
%__rm -rf %buildroot
%make_install INSTALL="install -p" install prefix=%{_prefix} libdir=%{_datadir} DESTDIR=${RPM_BUILD_ROOT} install
%__sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/CLI.py
%__sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/GUI.py
%__install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}-root.desktop
%__install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}-root.png
%__install -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/%{name}/cleaners/apt.xml
%__rm -f %{buildroot}/%{_datadir}/%{name}/cleaners/deepscan.xml

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_desktopdir}/%{name}-root.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-root.png
%exclude %{_datadir}/%{name}/Windows.py*

%changelog
* Tue Feb 16 2016 marcin82 <fixxer1982@gmail.com> 1.10-1pclos2016
- update
- disabled online update notification
- removed R: desktop-file-utils
- removed %%post, %%postun sections

* Mon Jun 22 2015 pp <pp> 1.8-1pclos2015
- update and combined updated patches for new version

* Fri Dec 05 2014 pinoc <vogtpet at gmail.com> 1.6-1pclos2014
- 1.6

* Wed Sep 10 2014 bb <bb> 1.4-1pclos2014
- update
- remove deepscan.xml
- patch out free disk space and memory options (dangerous)

* Tue Jun 10 2014 pinoc <vogtpet at gmail.com> 1.2-2pclos2014
- patched apt.xml to remove rpms instead of debs and not kill directory 'partial'

* Tue Jun 10 2014 pinoc <vogtpet at gmail.com> 1.2-1pclos2014
- 1.2

* Sun Nov 24 2013 billybot <billybot> 1.0-1pclos2013
- update

* Sat Aug 10 2013 billybot <billybot> 0.9.6-3pclos2013
- update python 2.7

* Tue Jul 23 2013 Texstar <texstar at gmail.com> 0.9.6-2pclos2013
- update and remove noarch

* Mon Jul 22 2013 Texstar <texstar at gmail.com> 0.9.6-1pclos2013
- update

* Sun Jan 13 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.5-1pclos2013
- 0.9.5

* Wed Jul 18 2012 Neal <nealbrks0 at gmail dot com> 0.9.3-1pclos2012
- process

* Tue Jul 17 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.3-1pclos2012
- 0.9.3
- added german summary and translation in the root desktop file

* Sat Mar 17 2012 Neal <nealbrks0 at gmail dot com> 0.9.2-1pclos2011
- process

* Fri Mar 16 2012 pinoc <vogtpet at gmail.com> 0.9.2-1pclos2011
- 0.9.2

* Thu Dec 01 2011 Texstar <texstar at gmail.com> 0.9.1-1pclos2011
- 0.9.1

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 0.9.0-1pclos2011
- 0.9.0

* Wed Jun 15 2011 Texstar <texstar at gmail.com> 0.8.8-1pclos2011
- 0.8.8

* Tue Jan 25 2011 Texstar <texstar at gmail.com> 0.8.7-1pclos2011
- 0.8.7

* Mon Jan 03 2011 Texstar <texstar at gmail.com> 0.8.5-1pclos2010
- 0.8.5

* Sat Dec 18 2010 Texstar <texstar at gmail.com> 0.8.4-1pclos2010
- 0.8.4

* Sun Dec 12 2010 Texstar <texstar at gmail.com> 0.8.3-1pclos2010
- 0.8.3

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 0.8.2-1pclos2010
- 0.8.2

* Mon Oct 18 2010 Sproggy <desproggster@gmail.com> 0.8.1-1pclos2010
- 0.8.1

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.8.0-2pclos2010
- add missing dependency libmhash2

* Sun Jun 06 2010 slick50 <lxgator@gmail.com> 0.8.0-1pclos2010
- 0.8.0

* Sat Apr 17 2010 slick50 <lxgator@gmail.com> 0.7.4-1pclos2010
- 0.7.4

* Sat Feb 20 2010 slick50 <lxgator@gmail.com> 0.7.3-1pclos2010
- 0.7.3
